import { EventEmitter, OnInit, OnDestroy } from "@angular/core";
import { DpwFeedbackWidgetService } from "./dpw-feedback-widget.service";
import * as i0 from "@angular/core";
export declare class DpwFeedbackWidgetComponent implements OnInit, OnDestroy {
    fwService: DpwFeedbackWidgetService;
    width: string;
    height: string;
    widgetName: string;
    productName: string;
    heading: string;
    description: string;
    ratingStyle: string;
    userEmail: boolean;
    isLoggedIn: boolean;
    feedbackBtnText: string;
    showClose: boolean;
    thankYouHeading: string;
    thankYouDescription: string;
    thankYouBtnText: string;
    enableProgressive: boolean;
    progressiveChips: string[];
    badRatingHeader: string;
    averageRatingHeader: string;
    goodRatingHeader: string;
    onClose: EventEmitter<any>;
    onSuccess: EventEmitter<any>;
    textareaLimit: number;
    feedbackSubmitted: boolean;
    constructor(fwService: DpwFeedbackWidgetService);
    ngOnInit(): void;
    closeHandler: () => void;
    successHandler: () => void;
    onSubmitFeedback: () => void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DpwFeedbackWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DpwFeedbackWidgetComponent, "dpw-feedback-widget", never, { "width": "width"; "height": "height"; "widgetName": "widgetName"; "productName": "productName"; "heading": "heading"; "description": "description"; "ratingStyle": "ratingStyle"; "userEmail": "userEmail"; "isLoggedIn": "isLoggedIn"; "feedbackBtnText": "feedbackBtnText"; "showClose": "showClose"; "thankYouHeading": "thankYouHeading"; "thankYouDescription": "thankYouDescription"; "thankYouBtnText": "thankYouBtnText"; "enableProgressive": "enableProgressive"; "progressiveChips": "progressiveChips"; "badRatingHeader": "badRatingHeader"; "averageRatingHeader": "averageRatingHeader"; "goodRatingHeader": "goodRatingHeader"; "textareaLimit": "textareaLimit"; }, { "onClose": "onClose"; "onSuccess": "onSuccess"; }, never, never>;
}
